Classes | Namespaces | Functions
HTMLAttributeList.h File Reference

Class containing a list of HTMLAttribute objects. More...

`#include <string>`
`#include <iostream>`
`#include <vector>`
`#include "CgiDefs.h"`
`#include "MStreamable.h"`
`#include "HTMLAttribute.h"`

Go to the source code of this file.

## Classes
class | cgicc::HTMLAttributeList
| An expandable list of HTMLAttribute objects. More...

## Namespaces
namespace | cgicc
| The namespace containing the cgicc library.

## Functions
HTMLAttributeList | cgicc::set (const std::string &name)
| Create a new HTMLAttributeList, and set an HTMLAttribute. More...
HTMLAttributeList | cgicc::set (const std::string &name, const std::string &value)
| Create a new HTMLAttributeList, and set an HTMLAttribute. More...

## Detailed Description

Class containing a list of HTMLAttribute objects.

The list is expandable and uses the STL vector class for storage

Definition in file HTMLAttributeList.h.